package pl.alx.parsowaniexmla;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.Reader;
import java.net.URL;

import org.xml.sax.helpers.ParserFactory;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
import org.xmlpull.v1.XmlPullParserFactory;
import android.os.Bundle;
import android.app.Activity;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.support.v4.app.NavUtils;

public class ParsowanieActivity extends Activity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_parsowanie);
		try {
			XmlPullParser parser = XmlPullParserFactory.newInstance().newPullParser();
		    parser.setInput(new BufferedReader(new InputStreamReader(new URL("http://sahara.alx.pl/~psobolewski/przykladowy.xml").openConnection().getInputStream())));
			/*
		    while (parser.getEventType() != XmlPullParser.END_DOCUMENT) {
		    	int type = parser.getEventType();
		    	String name = ("" + parser.getName()).replaceAll("\n", " ");
		    	String text = ("" + parser.getText()).replaceAll("\n", " ");
				Log.i("test", type + ", " + name + ", " + text);
		    	parser.next();
		    }
		    */
		    while (parser.getEventType() != XmlPullParser.END_DOCUMENT) {
		    	if (parser.getEventType() == XmlPullParser.START_TAG && parser.getName().equals("piosenka")) {
		    		String tytul = parser.nextText();
		    		Log.i("test", "tytu kolejnej piosenki: " + tytul);
		    	}
		    	parser.next();
		    }
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
    
}
